import { BaseService, Service } from '@/cool';

@Service('order')
export class OrderService extends BaseService {
	/**
	 * 给客户充值 b
	 */
	orderRelate(data) {
		return this.request({
			url: '/order-relate',
			method: 'POST',
			data: data
		});
	}

	/** *
	 * 发货-填写收花人 b
	 */
	orderSheet(data) {
		return this.request({
			url: '/update-sheet',
			method: 'POST',
			data: data
		});
	}

	/** *
	 * 发货-填写收花人 b
	 */
	freeShipping(data) {
		return this.request({
			url: '/without-send',
			params: data
		});
	}
}

export default new OrderService();
